//==================================================
//POV-Ray Main scene file
//==================================================
//This file has been created by PoseRay v3.12.2.456
//3D model to POV-Ray/Moray Converter.
//Author: FlyerX
//Email: flyerx_2000@yahoo.com
//Web: http://mysite.verizon.net/sfg0000/
//==================================================
//Files needed to run the POV-Ray scene:
//helicopter_POV_main.ini (initialization file - open this to render)
//helicopter_POV_scene.pov (scene setup of cameras, lights and geometry)
//helicopter_POV_geom.inc (geometry mesh)
//helicopter_POV_mat.inc (materials)
// 
//==================================================
//Model Statistics:
//Number of triangular faces..... 27254
//Number of vertices............. 17407
//Number of normals.............. 27967
//Number of UV coordinates....... 0
//Number of lines................ 0
//Number of materials............ 5
//Number of groups/meshes........ 1
//Number of subdivision faces.... 0
//Bounding Box....... from x,y,z=(-205,-180,-16)
//                      to x,y,z=(135,258,172)
//                 size dx,dy,dz=(340,438,188)
//                  center x,y,z=(-35,39,78)
//                       diagonal 585.481
//Surface area................... 510152.9
//             Smallest face area 0.07640037
//              Largest face area 4800
//Memory allocated for geometry.. 2 MBytes
// 
//==================================================
//IMPORTANT:
//This file was designed to run with the following command line options: 
// +W320 +H229 +FN +AM1 +A -UA
//if you are not using an INI file copy and paste the text above to the command line box before rendering
 
#include "rad_def.inc"
#include "helicopter_POV_geom.inc" //Geometry
 
global_settings {
  //This setting is for alpha transparency to work properly.
  //Increase by a small amount if transparent areas appear dark.
   max_trace_level 15
 
   radiosity{Rad_Settings(Radiosity_Default, off, off)}
}
 
//CAMERA PoseRayCAMERA
camera {
        perspective
        up <0,1,0>
        right -x*image_width/image_height
        location <0,0,1170.962>
        look_at <0,0,1169.962>
        angle 21.12817 // horizontal FOV angle
        rotate <0,0,80.76906> //roll
        rotate <34.60989,0,0> //pitch
        rotate <0,68.78051,0> //yaw
        translate <-35,39,78>
        }
 
//PoseRay default Light attached to the camera
light_source {
              <0,0,1170.962> //light position
              color rgb <1,1,1>*1.6
              parallel
              point_at <0,0,0>
              rotate <0,0,80.76906> //roll
              rotate <34.60989,0,0> //elevation
              rotate <0,68.78051,0> //rotation
              shadowless
             }   
             
                
//2nd light (comment this out for more grey on the image)
//PoseRay default Light attached to the camera
light_source {
              <0,1170.962,1170.962> //light position
              color rgb <1,1,1>*1.6
              parallel
              point_at <0,0,0>
              rotate <0,0,80.76906> //roll
              rotate <34.60989,0,0> //elevation
              rotate <0,68.78051,0> //rotation
              shadowless
             }           
             
//3rd light (comment this out for more grey on the image)
//PoseRay default Light attached to the camera
light_source {
              <0,-1170.962,1170.962> //light position
              color rgb <1,1,1>*1.6
              parallel
              point_at <0,0,0>
              rotate <0,0,80.76906> //roll
              rotate <34.60989,0,0> //elevation
              rotate <0,68.78051,0> //rotation
              shadowless
             }   
                                
                              
             
 
//Background
background {  color rgb<1,1,1>  }
 
//Assembled object that is contained in helicopter_POV_geom.inc
object{
      helicopter_
      }
//================================================== 
// We now start the delcarations for the edges

//#declare PdV1 = <-3.051758E-7,2.906494E-6,639.5075>;            // PdV1 must be declared, and is given by the location of the camera (here PdV)
#declare PdV1 = <-4.661256E-16,-1.13336E-6,255.803>;            // PdV1 must be declared, and is given by the location of the camera (here PdV)

#declare EdScale = 1;          //Scale for the width of the silhouette edge.  The correct value depends on your scene scale, and on your taste.
#declare EdNScale = 200;         //Scale for the width of the crease edge 
#declare EdThresh = 0.5;       //Threshold for the crease edges. Correct value depends on your mesh, usually in the [0.5,0.9] range

#include "declarations_helicopter_POV_geom.inc"   //we include the file which contains all the declarations and the call to the macro

// We can now simply show the edges :
object{Edges_helicopter_POV_geom}
